Subject: Boron uptake in plants
From: [email-masked] (Matthieu Visser)
Date: 14 Jul 1994 15:51:37 +0100
Newsgroups: bionet.photosynthesis

Dear netters,

I promised someone to put the following question on this net:

Does anyone know about the mechanism of Boron uptake in plants, or  anything
else concerning the chemistry of Boron in plants? It seems to be known that
Boron is taken up (I guess in tiny amounts) by plants, but this is where all
information of the person that I ask this question for ends.

I will therefore be glad to see any information.

Matthieu Visser
biophysics Vrije Universiteit Amsterdam
Holland